<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

/**
array getInfoFrom_smtpConf() :
Return, in a PHP array, values strored in /var/lib/bm-stats/[domain]/smtpConf

**/

function getInfoFrom_smtpConf($thisDomain) {
    Global $path_to_data ;

    $this_smtpConf_file = $path_to_data.$thisDomain."/smtpConf" ;

    if(is_file($this_smtpConf_file)) {
        $data = file($this_smtpConf_file);
        foreach ($data as $line) {
        
            $val = explode("=",$line) ;
            $key   = $val[0] ;
            $value = str_replace(array("\"","\n"),array("",""),$val[1]) ;
            if(!empty($value)) {
                if( !preg_match("/item|action/",$key) ) {
                    if( preg_match("/To/",$key) ) {
                        $thisArray['To'][] = $value ;
                    } else {
                        $thisArray[$key] = $value ;
                    };
                };
            };
        };
        return $thisArray ;

    } else {
        return FALSE ;
    };
};


function do_email_this($thisDomain,$filename)  {

    Global $pdfreport_smtp_subject, $pdfreport_smtp_body ;

    $infoToEmail = getInfoFrom_smtpConf($thisDomain) ; 

    if($infoToEmail) {
        $thisFile         = $filename;
        $thisServer   = $infoToEmail['Server'];
        $thisFrom         = $infoToEmail['From'];
        $thisPasswordFrom = $infoToEmail['passwordFrom'];

        if( !empty($thisServer) and !empty($thisFrom) and !empty($thisPasswordFrom) and !empty($infoToEmail['To']) ) {
            $smtp = new SMTP("$thisServer", "$thisFrom", "$thisPasswordFrom", 25, "$thisDomain", 0);
                                                                                   
            if(!$smtp->Connect_SMTP()) {
                echo $smtp->erreur,'Impossible d&#39; envoyer le mail !!!<br />'."\r\n";
                exit();
            } else {

                $smtp->set_from($thisFrom,$thisFrom) ;
                $smtp->ReplyTo     = "$thisFrom" ;
                $smtp->Priority    = 3 ;
                $smtp->ContentType = 'text/html' ;
                                                                                                                                                                                                                            
                if( is_file($thisFile) ) {
                    $smtp->add_file($thisFile);
                };
                
                $thisDestinataire = implode(",",$infoToEmail['To']) ;
                $thisSubject = preg_replace("/__thisDomain__/",$thisDomain,$pdfreport_smtp_subject);
                $thisBody    = preg_replace("/__thisDomain__/",$thisDomain,$pdfreport_smtp_body);       
                
                $smtp->smtp_mail($thisDestinataire, $thisSubject, $thisBody);
                $smtp->Deconnection_SMTP();
            };
        } else {
           exit() ;        
        };
    };
};

?>